package com.xinyilu.system.domain.ItemBatchInfo;

import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 批次项目关系对象 item_batch_info
 *
 * @author 纪寒
 * @date 2022-08-24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "批次项目关系对象", description = "item_batch_info")
public class ItemBatchInfo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -9138436891157869090L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 测试批次表id
     */
    private Long batchId;

    /**
     * 测试项目表id
     */
    private Long itemId;

    /**
     * 是否删除，0：否，1：是
     */
    private Integer delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("batchId", getBatchId())
                .append("itemId", getItemId())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
